<ng-container *ngIf="items && items.length; else noElements">
  <!-- <mat-paginator
    *ngIf="enablePagination"
    [length]="pagination.totalRecords"
    [pageSize]="pagination.limit"
    [pageIndex]="pagination.page"
    [pageSizeOptions]="pageSizeOptions"
    (page)="pageChange.emit($event)"
  ></mat-paginator> -->
  <div *ngIf="!disableLayoutSwitch" fxLayout="row wrap" fxLayoutAlign="end">
    <div fxFlex="nogrow">
      <button
        class="mr-s"
        mat-icon-button
        color="primary"
        [disabled]="view === 'list'"
        (click)="view = 'list'"
      >
        <mat-icon>list</mat-icon>
      </button>
    </div>
    <div fxFlex="nogrow" class="mr-s">
      <button
        class="mr-s"
        mat-icon-button
        color="primary"
        [disabled]="view === 'card'"
        (click)="view = 'card'"
      >
        <mat-icon>view_agenda</mat-icon>
      </button>
    </div>
  </div>
  <mat-list *ngIf="view === 'list'">
    <div *ngIf="title" mat-subheader>{{ title }}</div>
    <mat-list-item *ngFor="let item of items; let index = index">
      <ng-template
        select="[listTemplate]"
        [ngTemplateOutlet]="listTemplate"
        [ngTemplateOutletContext]="{ $implicit: item, index: index }"
      >
      </ng-template>
    </mat-list-item>
  </mat-list>

  <div *ngIf="view === 'card'" fxLayout="row wrap" fxLayoutGap="20px grid">
    <div *ngFor="let item of items; let index = index" fxFlex="50">
      <mat-card style="min-height: calc(100% - 32px);">
        <ng-template
          select="[cardTemplate]"
          [ngTemplateOutlet]="cardTemplate"
          [ngTemplateOutletContext]="{ $implicit: item, index: index }"
        >
        </ng-template>
      </mat-card>
    </div>
  </div>
  <mat-paginator
    *ngIf="enablePagination"
    [showFirstLastButtons]="true"
    [length]="pagination.totalRecords"
    [pageSize]="pagination.limit"
    [pageIndex]="pagination.page"
    [pageSizeOptions]="pageSizeOptions"
    (page)="pageChange.emit($event)"
  ></mat-paginator>
</ng-container>

<ng-template #noElements>
  <p class="mat-subheading-2">Nessun elemento presente...</p>
</ng-template>
